import { EventEmitter, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class LabelEditorComponent {
    label: string;
    x: number;
    y: number;
    isConnection: boolean;
    isSwimlane: boolean;
    labelChange: EventEmitter<string>;
    labelInput: ElementRef<HTMLInputElement>;
    isEditing: boolean;
    protected readonly Math: Math;
    getEditorPosition(): string;
    getLabelStyle(): any;
    startEditing(): void;
    finishEditing(): void;
    cancelEditing(): void;
    onEscapePress(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LabelEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LabelEditorComponent, "wf-label-editor", never, { "label": { "alias": "label"; "required": false; }; "x": { "alias": "x"; "required": false; }; "y": { "alias": "y"; "required": false; }; "isConnection": { "alias": "isConnection"; "required": false; }; "isSwimlane": { "alias": "isSwimlane"; "required": false; }; }, { "labelChange": "labelChange"; }, never, never, true, never>;
}
